Memos
User Service

Get User

GetUser gets a user by username. Format: users/{username} (e.g., users/steven)

GET
/api/v1/users/{user}

Path Parameters

user*string

The user id.

Query Parameters

readMask?string

Optional. The fields to return in the response. If not specified, all fields are returned.

Formatfield-mask

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/users/string"
{
  "name": "string",
  "role": "ROLE_UNSPECIFIED",
  "username": "string",
  "email": "string",
  "displayName": "string",
  "avatarUrl": "string",
  "description": "string",
  "password": "string",
  "state": "STATE_UNSPECIFIED",
  "createTime": "2019-08-24T14:15:22Z",
  "updateTime": "2019-08-24T14:15:22Z"
}
{
  "code": 0,
  "message": "string",
  "details": [
    {
      "@type": "string"
    }
  ]
}

On this page

No Headings